Bug 233229 - dns/unbound 1.8.1 logfile log-time-ascii shows no updated timestamp
Summary: dns/unbound 1.8.1 logfile log-time-ascii shows no updated timestamp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on: 233796
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-14 20:22 UTC by p5B2E9A8F
Modified: 2018-12-10 21:08 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback? (jaap)


Attachments
temorary patch (4.18 KB, patch)
2018-11-26 14:41 UTC, jaap
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description p5B2E9A8F 2018-11-14 20:22:12 UTC
Having set log-time-ascii: yes in unbound.conf 
the timestamps in the logfile shows the time when i.e. unbound-control reload has been run in each line. The timestamps are not updated.
Comment 1 jaap 2018-11-22 10:23:14 UTC
I checked with upstream, this is a known issue and waiting for the next release. A workaround is to use syslog.

For the impatients, the fix is already in the svn repository <https://nlnetlabs.nl/svn/unbound/> and on github <https://github.com/NLnetLabs/unbound>.

    jaap
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-11-22 11:55:26 UTC
(In reply to jaap from comment #1)

What is the resolution of this issue? 

1) Upstream commit added as patch to the existing port until next release?
2) Add pkg-message or comment in configuration file sample mentioning the "known issue" ?
3) Something else?
4) Close -> Rejected (WONTFIX) ?

Can you also add any upstream bug reports / pull request / commit url's where applicable
Comment 3 jaap 2018-11-26 14:40:27 UTC
(In reply to Kubilay Kocak from comment #2)

The fix is in the repositories mentioned but not released. Normally I wait for the officially release, that prevents creating a temporary patch which needs to be taken out later.
Comment 4 jaap 2018-11-26 14:41:48 UTC
Created attachment 199570 [details]
temorary patch

Temporary patch
Comment 5 jaap 2018-12-05 09:45:41 UTC
I just send in an uprade of unbound, see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=233796 which should fix this problem.

Therefore we can close this ticket.